DBMAIL-IMAPD(8)

NAME
dbmail-imapd - provides access to the DBMail system to clients supporting Internet Message Access Protocol, IMAP4r1, as specified in RFC 3501.

SYNOPSIS

dbmail-imapd [-f configfile] [-p pidfile] [-nvVh]

DESCRIPTION

The dbmail-imapd daemon is a fully featured IMAP4r1 server.

OPTIONS

-p pidfile
    Specify an alternate pid file. The daemons are currently hardcoded to use /var/run/dbmail-<daemon> for their pid files, and will halt if the pid file cannot be written. Use the -p pidfile option to place the pid file in your system’s preferred location.

-n
    No daemonize: inetd mode. The program remains attached to the console from which it was started and will read and write on stdin/stdout. This is quite useful for debugging when combined with the -v option. It is also used for running from (x)inetd.

-D
    No daemonize: init mode. The program remains attached to the console and will listen on the network sockets defined in dbmail.conf. This is mostly used when running from inittab or under the control of daemontools.

COMMON OPTIONS

-f configfile
    Specify an alternate config file. The utilities are currently hardcoded to use /etc/dbmail.conf for their configs, and will halt if the config file cannot be found. Use the -f configfile option to specify your system’s preferred config file location. Debian is patched to have /etc/dbmail/dbmail.conf as the default.

-q
    Quietly skip interactive prompts and helpful status messages which would otherwise be printed to stdout. Use two -q’s to silence errors which would otherwise be printed to stderr.

-v
    Operate verbosely. Some of the utilities in the DBMail suite can take two -v’s for extra verbosity. Those which don’t understand this convention won’t complain about having the extra -v and will simply operate at their normal verbosity.

-V
    Show the version and copyright, then exit.

-h
    Show a brief summary of options, then exit.

EXAMPLE

For xinetd
    ----------------------------------------------------------- # /etc/xinet.d/dbmail-imap # service imap { socket_type = stream wait = no user = root server = /usr/local/sbin/dbmail-imapd protocol = tcp server_args = -n log_on_failure += USERID disable = no } -----------------------------------------------------------

For stunnel
    ----------------------------------------------------------- pid = /var/run/stunnel.pid cert = /etc/stunnel/yourkeys.pem

        # The next two sections will turn stunnel
        # into a 'secure inetd'. This is mutually
        # exclusive with the proxy sections below.
        [dbmail-pop3d]
        accept = 995
        exec = /usr/local/sbin/dbmail-pop3d
        execargs = dbmail-pop3d -n

        [dbmail-imapd]
        accept = 993
        exec = /usr/local/sbin/dbmail-imapd
        execargs = dbmail-imapd -n

        # The next two sections will proxy
        # from the secure protocol over to
        # the insecure protocol. In this case,
        # use BINDIP=localhost in dbmail.conf!
        [pop3s]
        accept  = 995
        connect = 110

        [imaps]
        accept  = 993
        connect = 143

        # Useful if your preferred SMTP server doesn't do SSL/TLS.
        # This is with your MTA configuration, not DBMail, per se.
        [ssmtp]
        accept  = 465
        connect = 25
        -----------------------------------------------------------

BUGS

If you experience inexplicable problems with DBMail, please report the issue to the DBMail Bug Tracker[1].

LICENSE

DBMail and its components are distributed under the terms of the GNU General Public License. Copyrights are held variously by the authors listed below.

AUTHOR(S)

DBMail is a collaborative effort among the core developers listed below and the tremendous help of the testers, patchers and bug hunters listed in the AUTHORS and THANKS files found in the DBMail source distribution.

    Eelco van Beek      Aaron Stone            Paul J Stevens
    Roel Rozendaal      Open Source Engineer   NFG Net Facilities Group BV
    Ilja Booij          Palo Alto, CA USA      http://www.nfg.nl
    IC&S                http://hydricacid.com
    http://www.ic-s.nl

NOTES

1.  DBMail Bug Tracker
    http://dbmail.org/mantis/